
From: Stephen Rothwell <sfr@canb.auug.org.au>

This makes sense now that we have asm-powerpc.

Signed-off-by: Stephen Rothwell <sfr@canb.auug.org.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 dev/null                    |   12 ------------
 include/asm-powerpc/fcntl.h |   11 +++++++++++
 2 files changed, 11 insertions(+), 12 deletions(-)

diff -puN /dev/null include/asm-powerpc/fcntl.h
--- /dev/null	2003-09-15 06:40:47.000000000 -0700
+++ devel-akpm/include/asm-powerpc/fcntl.h	2005-08-31 00:08:55.000000000 -0700
@@ -0,0 +1,11 @@
+#ifndef _ASM_FCNTL_H
+#define _ASM_FCNTL_H
+
+#define O_DIRECTORY      040000	/* must be a directory */
+#define O_NOFOLLOW      0100000	/* don't follow links */
+#define O_LARGEFILE     0200000
+#define O_DIRECT	0400000	/* direct disk access hint */
+
+#include <asm-generic/fcntl.h>
+
+#endif /* _ASM_FCNTL_H */
diff -L include/asm-ppc64/fcntl.h -puN include/asm-ppc64/fcntl.h~consolidate-the-asm-ppc-fcntlh-files-into-asm-powerpc /dev/null
--- devel/include/asm-ppc64/fcntl.h
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1 +0,0 @@
-#include <asm-ppc/fcntl.h>
diff -L include/asm-ppc/fcntl.h -puN include/asm-ppc/fcntl.h~consolidate-the-asm-ppc-fcntlh-files-into-asm-powerpc /dev/null
--- devel/include/asm-ppc/fcntl.h
+++ /dev/null	2003-09-15 06:40:47.000000000 -0700
@@ -1,11 +0,0 @@
-#ifndef _PPC_FCNTL_H
-#define _PPC_FCNTL_H
-
-#define O_DIRECTORY      040000	/* must be a directory */
-#define O_NOFOLLOW      0100000	/* don't follow links */
-#define O_LARGEFILE     0200000
-#define O_DIRECT	0400000	/* direct disk access hint */
-
-#include <asm-generic/fcntl.h>
-
-#endif /* _PPC_FCNTL_H */
_
